package org.jtag.dialog;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;
import javax.swing.*;


public class JTagAboutDialog extends JDialog {
    public JTagAboutDialog(String title, boolean modal, boolean resize) {

        setTitle(title);
        setModal(modal);
        setResizable(resize);

        setBackground(Color.lightGray);

        String urlString = "file:///";

        urlString += System.getProperty("user.dir");
        urlString += File.separator + "html"; 
        urlString += File.separator + "aboutdialog.html";

        //JEditorPane infoPane = new JEditorPane("text/html", content);
        JEditorPane infoPane = new JEditorPane();

        infoPane.setEditable(false);
      
        try {
            infoPane.setPage(urlString);
        } catch (Exception e) {
            System.out.println("Invalid destination string");
        }
      
        JScrollPane scroller = new JScrollPane(infoPane);
                
        JPanel contentPane = (JPanel) getContentPane();
      
        contentPane.add(scroller);
 
        this.setSize(400, 200);
   	
    }	
   	  
}
